> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.navipartner.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.navipartner.com/_mcp/server.

# Companies

> Explanation of what companies mean in Business Central and how to work with them in API services.

## Companies in Business Central

Companies in Business Central are data containers that keep business data isolated within the same database. Each company has its own set of data tables.

## API Usage

All API calls must specify the company except for the list-companies endpoint.

## List Companies

Get a list of all companies available in the selected environment:

```http
GET https://api.npretail.app/tenant/environment/companies
```

> **Warning**
>
> This endpoint is an exception in terms of routing, as it does not use the global path segment named `company`.

## Get Current Company

Read the details of the company addressed by the `company` path segment — its name, local currency and country — sourced from Business Central as the single source of truth:

```http
GET https://api.npretail.app/tenant/environment/company/company
```

The `currencyCode` (ISO 4217) comes from the General Ledger Setup and the `countryCode` (ISO 3166) from the Company Information; either is `null` when it is not configured in Business Central.